summaryrefslogtreecommitdiff
path: root/debian/cron.weekly
diff options
context:
space:
mode:
Diffstat (limited to 'debian/cron.weekly')
-rwxr-xr-xdebian/cron.weekly26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/cron.weekly b/debian/cron.weekly
new file mode 100755
index 0000000..995c168
--- /dev/null
+++ b/debian/cron.weekly
@@ -0,0 +1,26 @@
+#! /bin/sh
+#
+# Copyright 2007 by Esteban Manchado Velázquez <zoso@debian.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+# MA 02111-1307 USA.
+
+if [ -d /var/lib/dhelp ] && \
+ [ -x /usr/sbin/dhelp_parse ] && \
+ [ -x /usr/bin/index++ ]; then
+ rm --force /var/lib/dhelp/documents.index || true
+ /usr/sbin/dhelp_parse -r
+ /usr/sbin/dhelp_parse -i
+fi